### Hierarchy

- unknown
  - Trade

## Index

### Constructors

- constructor

### Methods

- addChatMessage
- clearArbitratorNodeAddress
- clearChatMessageList
- clearContract
- clearMediatorNodeAddress
- clearOffer
- clearProcessModel
- clearRefundAgentNodeAddress
- getAmountAsLong
- getArbitratorNodeAddress
- getAssetTxProofResult
- getChatMessageList
- getContract
- getContractAsJson
- getContractHash
- getContractHash_asB64
- getContractHash_asU8
- getCounterCurrencyExtraData
- getCounterCurrencyTxId
- getDisputeState
- getErrorMessage
- getLockTime
- getMediationResultState
- getMediatorNodeAddress
- getOffer
- getPayoutState
- getPayoutTxHex
- getPayoutTxId
- getPayoutTxKey
- getPeriodState
- getPrice
- getProcessModel
- getRefundAgentNodeAddress
- getRefundResultState
- getState
- getTakeOfferDate
- getTakerFeeAsLong
- getTxFeeAsLong
- getUid
- hasArbitratorNodeAddress
- hasContract
- hasMediatorNodeAddress
- hasOffer
- hasProcessModel
- hasRefundAgentNodeAddress
- serializeBinary
- setAmountAsLong
- setArbitratorNodeAddress
- setAssetTxProofResult
- setChatMessageList
- setContract
- setContractAsJson
- setContractHash
- setCounterCurrencyExtraData
- setCounterCurrencyTxId
- setDisputeState
- setErrorMessage
- setLockTime
- setMediationResultState
- setMediatorNodeAddress
- setOffer
- setPayoutState
- setPayoutTxHex
- setPayoutTxId
- setPayoutTxKey
- setPeriodState
- setPrice
- setProcessModel
- setRefundAgentNodeAddress
- setRefundResultState
- setState
- setTakeOfferDate
- setTakerFeeAsLong
- setTxFeeAsLong
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Trade(): Trade

- Inherited from jspb.Message.constructor

  #### Returns Trade

## Methods

### addChatMessage

- addChatMessage(value?: ChatMessage, index?: number): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:6742

  #### Parameters

  - ##### Optional value: ChatMessage

  - ##### Optional index: number

  #### Returns ChatMessage

### clearArbitratorNodeAddress

- clearArbitratorNodeAddress(): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6726

  #### Returns Trade

### clearChatMessageList

- clearChatMessageList(): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6741

  #### Returns Trade

### clearContract

- clearContract(): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6713

  #### Returns Trade

### clearMediatorNodeAddress

- clearMediatorNodeAddress(): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6731

  #### Returns Trade

### clearOffer

- clearOffer(): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6667

  #### Returns Trade

### clearProcessModel

- clearProcessModel(): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6672

  #### Returns Trade

### clearRefundAgentNodeAddress

- clearRefundAgentNodeAddress(): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6753

  #### Returns Trade

### getAmountAsLong

- getAmountAsLong(): number

- - Defined in src/protobuf/pb_pb.d.ts:6683

  #### Returns number

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:6723

  #### Returns undefined | NodeAddress

### getAssetTxProofResult

- getAssetTxProofResult(): string

- - Defined in src/protobuf/pb_pb.d.ts:6761

  #### Returns string

### getChatMessageList

- getChatMessageList(): ChatMessage []

- - Defined in src/protobuf/pb_pb.d.ts:6739

  #### Returns ChatMessage []

### getContract

- getContract(): undefined | Contract

- - Defined in src/protobuf/pb_pb.d.ts:6710

  #### Returns undefined | Contract

### getContractAsJson

- getContractAsJson(): string

- - Defined in src/protobuf/pb_pb.d.ts:6715

  #### Returns string

### getContractHash

- getContractHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6718

  #### Returns string | Uint8Array

### getContractHash_asB64

- getContractHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:6720

  #### Returns string

### getContractHash_asU8

- getContractHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6719

  #### Returns Uint8Array

### getCounterCurrencyExtraData

- getCounterCurrencyExtraData(): string

- - Defined in src/protobuf/pb_pb.d.ts:6758

  #### Returns string

### getCounterCurrencyTxId

- getCounterCurrencyTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6736

  #### Returns string

### getDisputeState

- getDisputeState(): DisputeState

- - Defined in src/protobuf/pb_pb.d.ts:6704

  #### Returns DisputeState

### getErrorMessage

- getErrorMessage(): string

- - Defined in src/protobuf/pb_pb.d.ts:6733

  #### Returns string

### getLockTime

- getLockTime(): number

- - Defined in src/protobuf/pb_pb.d.ts:6747

  #### Returns number

### getMediationResultState

- getMediationResultState(): MediationResultState

- - Defined in src/protobuf/pb_pb.d.ts:6744

  #### Returns MediationResultState

### getMediatorNodeAddress

- getMediatorNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:6728

  #### Returns undefined | NodeAddress

### getOffer

- getOffer(): undefined | Offer

- - Defined in src/protobuf/pb_pb.d.ts:6664

  #### Returns undefined | Offer

### getPayoutState

- getPayoutState(): PayoutState

- - Defined in src/protobuf/pb_pb.d.ts:6701

  #### Returns PayoutState

### getPayoutTxHex

- getPayoutTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:6677

  #### Returns string

### getPayoutTxId

- getPayoutTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6674

  #### Returns string

### getPayoutTxKey

- getPayoutTxKey(): string

- - Defined in src/protobuf/pb_pb.d.ts:6680

  #### Returns string

### getPeriodState

- getPeriodState(): TradePeriodState

- - Defined in src/protobuf/pb_pb.d.ts:6707

  #### Returns TradePeriodState

### getPrice

- getPrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:6695

  #### Returns number

### getProcessModel

- getProcessModel(): undefined | ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:6669

  #### Returns undefined | ProcessModel

### getRefundAgentNodeAddress

- getRefundAgentNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:6750

  #### Returns undefined | NodeAddress

### getRefundResultState

- getRefundResultState(): RefundResultState

- - Defined in src/protobuf/pb_pb.d.ts:6755

  #### Returns RefundResultState

### getState

- getState(): Trade . State

- - Defined in src/protobuf/pb_pb.d.ts:6698

  #### Returns Trade . State

### getTakeOfferDate

- getTakeOfferDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:6692

  #### Returns number

### getTakerFeeAsLong

- getTakerFeeAsLong(): number

- - Defined in src/protobuf/pb_pb.d.ts:6689

  #### Returns number

### getTxFeeAsLong

- getTxFeeAsLong(): number

- - Defined in src/protobuf/pb_pb.d.ts:6686

  #### Returns number

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:6764

  #### Returns string

### hasArbitratorNodeAddress

- hasArbitratorNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6725

  #### Returns boolean

### hasContract

- hasContract(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6712

  #### Returns boolean

### hasMediatorNodeAddress

- hasMediatorNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6730

  #### Returns boolean

### hasOffer

- hasOffer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6666

  #### Returns boolean

### hasProcessModel

- hasProcessModel(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6671

  #### Returns boolean

### hasRefundAgentNodeAddress

- hasRefundAgentNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6752

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6767

  #### Returns Uint8Array

### setAmountAsLong

- setAmountAsLong(value: number): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6684

  #### Parameters

  - ##### value: number

  #### Returns Trade

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value?: NodeAddress ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6724

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Trade

### setAssetTxProofResult

- setAssetTxProofResult(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6762

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setChatMessageList

- setChatMessageList(value: ChatMessage []): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6740

  #### Parameters

  - ##### value: ChatMessage []

  #### Returns Trade

### setContract

- setContract(value?: Contract ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6711

  #### Parameters

  - ##### Optional value: Contract

  #### Returns Trade

### setContractAsJson

- setContractAsJson(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6716

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setContractHash

- setContractHash(value: string | Uint8Array): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6721

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Trade

### setCounterCurrencyExtraData

- setCounterCurrencyExtraData(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6759

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setCounterCurrencyTxId

- setCounterCurrencyTxId(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6737

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setDisputeState

- setDisputeState(value: DisputeState ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6705

  #### Parameters

  - ##### value: DisputeState

  #### Returns Trade

### setErrorMessage

- setErrorMessage(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6734

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setLockTime

- setLockTime(value: number): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6748

  #### Parameters

  - ##### value: number

  #### Returns Trade

### setMediationResultState

- setMediationResultState(value: MediationResultState ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6745

  #### Parameters

  - ##### value: MediationResultState

  #### Returns Trade

### setMediatorNodeAddress

- setMediatorNodeAddress(value?: NodeAddress ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6729

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Trade

### setOffer

- setOffer(value?: Offer ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6665

  #### Parameters

  - ##### Optional value: Offer

  #### Returns Trade

### setPayoutState

- setPayoutState(value: PayoutState ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6702

  #### Parameters

  - ##### value: PayoutState

  #### Returns Trade

### setPayoutTxHex

- setPayoutTxHex(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6678

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setPayoutTxId

- setPayoutTxId(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6675

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setPayoutTxKey

- setPayoutTxKey(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6681

  #### Parameters

  - ##### value: string

  #### Returns Trade

### setPeriodState

- setPeriodState(value: TradePeriodState ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6708

  #### Parameters

  - ##### value: TradePeriodState

  #### Returns Trade

### setPrice

- setPrice(value: number): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6696

  #### Parameters

  - ##### value: number

  #### Returns Trade

### setProcessModel

- setProcessModel(value?: ProcessModel ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6670

  #### Parameters

  - ##### Optional value: ProcessModel

  #### Returns Trade

### setRefundAgentNodeAddress

- setRefundAgentNodeAddress(value?: NodeAddress ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6751

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Trade

### setRefundResultState

- setRefundResultState(value: RefundResultState ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6756

  #### Parameters

  - ##### value: RefundResultState

  #### Returns Trade

### setState

- setState(value: Trade . State ): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6699

  #### Parameters

  - ##### value: Trade . State

  #### Returns Trade

### setTakeOfferDate

- setTakeOfferDate(value: number): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6693

  #### Parameters

  - ##### value: number

  #### Returns Trade

### setTakerFeeAsLong

- setTakerFeeAsLong(value: number): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6690

  #### Parameters

  - ##### value: number

  #### Returns Trade

### setTxFeeAsLong

- setTxFeeAsLong(value: number): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6687

  #### Parameters

  - ##### value: number

  #### Returns Trade

### setUid

- setUid(value: string): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6765

  #### Parameters

  - ##### value: string

  #### Returns Trade

### toObject

- toObject(includeInstance?: boolean): Trade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6768

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Trade . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6771

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Trade

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Trade, reader: BinaryReader): Trade

- - Defined in src/protobuf/pb_pb.d.ts:6772

  #### Parameters

  - ##### message: Trade

  - ##### reader: BinaryReader

  #### Returns Trade

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Trade, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6770

  #### Parameters

  - ##### message: Trade

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Trade ): Trade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6769

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Trade

  #### Returns Trade . AsObject

Generated using TypeDoc